var Orientation = function(axis, offsetTo) {
    this._axis = axis;
    this._offsetTo = null;
}

Orientation.prototype = {
    constructor: Orientation,

    getLabel: function() {
        switch(this._axis) {
            case(Axis.X):
                return 'x-axis';
            case(Axis.Y):
                return 'y-axis';
            case(Axis.Z):
                return 'z-axis';
        }
    },

    get axis() {
        return this._axis;
    },

    get offsetTo() {
        return this._offsetTo;
    },

    set offsetTo(value) {
        this._offsetTo = value;
    }
}

var Axis = {
    X: 0,
    Y: 1,
    Z: 2
}

var OffsetTo = {
    TOP: 0,
    LEFT: 1,
    BOTTOM: 2,
    RIGHT: 3
}
