IPE.content = {
    init: function() {
        var headerHeight = $('header').height();
        var content = $('div#content');

        function setContentHeight() {
            content.height($(window).height() - headerHeight);
        }

        $(window).on('resize', function() {
            setContentHeight()
        });
        setContentHeight();

        $(document).ready(function() {
            $visibilityToggle = $('.visibility-toggle');
            $visibilityToggle.on('click', function() {
                $this = $(this),
                $toggleItem = $('#' + $this.attr('for')),
                suffix = $this.attr('suffix');

                if($toggleItem.hasClass('hidden')) {
                    $toggleItem.removeClass('hidden');
                    $this.val('Hide ' + suffix);
                } else {
                    $toggleItem.addClass('hidden');
                    $this.val('Show ' + suffix);
                }
            });
        });
    }
};

IPE.util =  {
    buildUrl: function(path) {
        return IPE.homeUrl + path;
    }
};
