var volumeId;
var stats, container, $container, containerHeader, $containerHeader, $canvas, cameraRTT, camera, sceneRTT, scene, renderer, controls, controls2;
var maximumTextureSize;
var containerOverview, $containerOverview;
var $resSpan;
var $resolutionLinks;
var raycaster;
var width, height;
var steps, adjustSteps;
var rtTexture, material;

var backgroundBox, frontBox;
var objectsToIntersect = [];
var minGray = 5, maxGray = 255;
var originalDimension,
    zoomedDimension,
    currentDimension,
    originalVolumeDimension,
    zoomedVolumeDimension,
    currentVolumeDimension,
    volumeUrl,
    infoUrl,
    spriteUrl,
    imgInfo = null,
    textureInfo = null,
    originalSizeArray = Array(3),
    zoomedInfo,
    rotationMatrix;

var textures = {},
    currentTexture = 0,
    useDownloadedTextureImmediately = false,
    textureTimestamp = (new Date()).getTime(),
    playFrames = false,
    currentMaxFrame = 0;

var framesDownloaded = 0,
    cachedImages = {};

var vertexShader = null,
    fragmentSimleShader = null,
    fragmentShader = null;

var intersectCubes = [],
    intersectCubesTimeStamps = []
    nextCubeDeletionTimeStamp = null,
    zoomedIn = false;

var helper,
    geometryHelper,
    stepHelper,
    overviewHelper,
    transferHelper,
    zoomHelper,
    opacityPlotter,
    statsHelper;

var waitDiv;
var saveImage = false;

// prefetch first image to cache it
var progressContainer,
    imageProgress,
    progressSpan;

var Globals = (function() {
    return {
        init: function() {
            originalDimension = new GeometryDimension();
            zoomedDimension = new GeometryDimension();
            currentDimension = originalDimension;
            originalVolumeDimension = new VolumeDimension();
            zoomedVolumeDimension = new VolumeDimension();
            currentVolumeDimension = originalVolumeDimension;
            $resolutionLinks = $('#resolution-links');
        }
    }
}());
