from mongoengine.django.storage import GridFSStorage


def fileexists(filename):
    fs = GridFSStorage()
    return fs.exists(filename)


def savefile(filename, content):
    fs = GridFSStorage()
    return fs.save(filename, content)


def openfile(filename):
    fs = GridFSStorage()
    return fs.open(filename)


def listfiles():
    fs = GridFSStorage()
    return fs.listdir()


def deletefile(filename):
    fs = GridFSStorage()
    return fs.delete(filename)
