from django.conf.urls import patterns, include, url

from volumes import urls as volume_urls
from loadtests import urls as loadtest_urls
from automaticimport import urls as automaticimport_urls

urlpatterns = patterns(
    '',
    url(r'^$', include(volume_urls)),
    url(r'^volumes/', include(volume_urls, namespace='volumes', app_name='volumes')),
    url(r'^loadtests/', include(loadtest_urls, namespace='loadtests', app_name='loadtests')),
    url(r'^automaticimport/', include(automaticimport_urls, namespace='automaticimport', app_name='automaticimport'))
)
