from django.conf.urls import patterns, url

from . import views

# volumes processing url file

urlpatterns = patterns(
    '',
    url(r'^generate-slice/$', views.generateslice, name='gen-slice'),
    url(r'^sub/(?P<x>[\d]+)/(?P<y>[\d]+)/(?P<z>[\d]+)/(?P<t>[\d]+)/(?P<depth>[\d]+)/$', views.getSubvolume),
    url(r'^sub/(?P<x>[\d]+)/(?P<y>[\d]+)/(?P<z>[\d]+)/(?P<t>[\d]+)/(?P<depth>[\d]+)/(?P<testId>[\da-z]+)/$', views.getSubvolume),
    url(r'^sprite/(?P<spriteId>[a-z\d]+)/show/$', views.getSubvolumeSprite),
    url(r'^sprite/(?P<spriteId>[a-z\d]+)/available/$', views.subvolumeAvailable),
    url(r'^sub/list/$', views.listfiles),
    url(r'^sub/list/(?P<plain>[\d]+)/$', views.listfiles),
    url(r'^sub/delete/$', views.deletefiles)
)
